Bug 171027 - [MAINTAINER] net/dropbox-api-command: update to 1.03
Summary: [MAINTAINER] net/dropbox-api-command: update to 1.03
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Raphael Kubo da Costa
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-25 15:30 UTC by changlp
Modified: 2012-10-21 12:26 UTC (History)
0 users

See Also:


Attachments
dropbox-api-command-1.03,1.patch (1.88 KB, patch)
2012-08-25 15:30 UTC, changlp
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description changlp 2012-08-25 15:30:02 UTC
- Update to 1.03

- Migrage to GH_* macros

- Add 'upload-to-dropbox' script

Generated with FreeBSD Port Tools 0.99
Comment 1 Raphael Kubo da Costa freebsd_committer 2012-08-26 17:48:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rakuco

I'll take it.
Comment 2 dfilter service freebsd_committer 2012-08-26 17:53:30 UTC
Author: rakuco
Date: Sun Aug 26 16:53:20 2012
New Revision: 303191
URL: http://svn.freebsd.org/changeset/ports/303191

Log:
  Update to 1.03.
  
  PR:		ports/171027
  Submitted by:	Lung-Pin Chang <changlp@cs.nctu.edu.tw> (maintainer)

Modified:
  head/net/dropbox-api-command/Makefile
  head/net/dropbox-api-command/distinfo

Modified: head/net/dropbox-api-command/Makefile
==============================================================================
--- head/net/dropbox-api-command/Makefile	Sun Aug 26 15:42:59 2012	(r303190)
+++ head/net/dropbox-api-command/Makefile	Sun Aug 26 16:53:20 2012	(r303191)
@@ -6,13 +6,9 @@
 #
 
 PORTNAME=	dropbox-api-command
-PORTVERSION=	1.02
+PORTVERSION=	1.03
 PORTEPOCH=	1
 CATEGORIES=	net
-MASTER_SITES=	https://github.com/s-aska/${PORTNAME}/raw/${PORTVERSION}/
-DISTNAME=	dropbox-api
-EXTRACT_SUFX=	# empty
-EXTRACT_ONLY=	# empty
 
 MAINTAINER=	changlp@cs.nctu.edu.tw
 COMMENT=	Dropbox API wrapper command
@@ -23,13 +19,21 @@ RUN_DEPENDS=	p5-DateTime-Format-Strptime
 		p5-WebService-Dropbox>=0:${PORTSDIR}/net/p5-WebService-Dropbox \
 		p5-Path-Class>=0:${PORTSDIR}/devel/p5-Path-Class
 
-FETCH_ARGS=	-pRr
+USE_GITHUB=	yes
+GH_ACCOUNT=	s-aska
+GH_TAGNAME=	${PORTVERSION}
+GH_COMMIT=	b29aaad
+
 NO_BUILD=	yes
 USE_PERL5_RUN=	yes
 
-PLIST_FILES=	bin/dropbox-api
+PLIST_FILES=	bin/dropbox-api bin/upload-to-dropbox
+
+post-patch:
+	${REINPLACE_CMD} -e 's|/bin/bash|/bin/sh|g' ${WRKSRC}/upload-to-dropbox
 
 do-install:
-	${INSTALL_SCRIPT} ${DISTDIR}/dropbox-api ${PREFIX}/bin/dropbox-api
+	${INSTALL_SCRIPT} ${WRKSRC}/dropbox-api ${PREFIX}/bin/
+	${INSTALL_SCRIPT} ${WRKSRC}/upload-to-dropbox ${PREFIX}/bin/
 
 .include <bsd.port.mk>

Modified: head/net/dropbox-api-command/distinfo
==============================================================================
--- head/net/dropbox-api-command/distinfo	Sun Aug 26 15:42:59 2012	(r303190)
+++ head/net/dropbox-api-command/distinfo	Sun Aug 26 16:53:20 2012	(r303191)
@@ -1,2 +1,2 @@
-SHA256 (dropbox-api) = 9b39a50fcd6530d254e75bf79e4560c466552660ce5a98b41453817d7dd925b3
-SIZE (dropbox-api) = 20965
+SHA256 (dropbox-api-command-1.03.tar.gz) = cd0bd174fa6ba3645c407f68d2b2cbead90f3f3f8fd930bd57598e874be064ff
+SIZE (dropbox-api-command-1.03.tar.gz) = 6864
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Raphael Kubo da Costa freebsd_committer 2012-10-21 12:26:01 UTC
State Changed
From-To: open->closed

Weird, I could swear I had closed this one after committing the patch...